Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 649690 (CVE-2018-7642) - <sys-devel/binutils-2.30-r2: null pointer dereference in aout_32_swap_std_reloc_out.
Summary: <sys-devel/binutils-2.30-r2: null pointer dereference in aout_32_swap_std_rel...
Status: RESOLVED FIXED
Alias: CVE-2018-7642
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL: https://sourceware.org/bugzilla/show_...
Whiteboard: A3 [glsa+ cve]
Keywords:
Depends on: CVE-2018-7208, CVE-2018-7568, CVE-2018-7569, CVE-2018-7570, CVE-2018-7643, CVE-2018-8945 binutils-2.30-stable
Blocks:
  Show dependency tree
 
Reported: 2018-03-05 20:06 UTC by Demetris Nakos (sokan)
Modified: 2018-11-27 02:02 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Demetris Nakos (sokan) 2018-03-05 20:06:08 UTC
The swap_std_reloc_in function in aoutx.h in the Binary File Descriptor (BFD) library (aka libbfd), as distributed in GNU Binutils 2.30, allows remote attackers to cause a denial of service (aout_32_swap_std_reloc_out NULL pointer dereference and application crash) via a crafted ELF file, as demonstrated by objcopy. 

Fix/commit: https://sourceware.org/git/gitweb.cgi?p=binutils-gdb.git;a=commitdiff;h=116acb2c268c89c89186673a7c92620d21825b25

- Gentoo Security Padawan -
Comment 1 Andreas K. Hüttel gentoo-dev 2018-04-29 19:10:01 UTC
(In reply to Demetris Nakos from comment #0)
> The swap_std_reloc_in function in aoutx.h in the Binary File Descriptor
> (BFD) library (aka libbfd), as distributed in GNU Binutils 2.30, allows
> remote attackers to cause a denial of service (aout_32_swap_std_reloc_out
> NULL pointer dereference and application crash) via a crafted ELF file, as
> demonstrated by objcopy. 
> 
> Fix/commit:
> https://sourceware.org/git/gitweb.cgi?p=binutils-gdb.git;a=commitdiff;
> h=116acb2c268c89c89186673a7c92620d21825b25
> 
> - Gentoo Security Padawan -

Fix queued for binutils 2.30 patchset 2
Comment 2 Larry the Git Cow gentoo-dev 2018-04-29 20:08:19 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8c7fe7564dc60dd6caa3afd787728acb43fc7abe

commit 8c7fe7564dc60dd6caa3afd787728acb43fc7abe
Author:     Andreas K. Hüttel <dilfridge@gentoo.org>
AuthorDate: 2018-04-29 20:07:56 +0000
Commit:     Andreas K. Hüttel <dilfridge@gentoo.org>
CommitDate: 2018-04-29 20:08:06 +0000

    sys-devel/binutils: Revision bump (no keywords), 2.30 patchset 2
    
    Bug: https://bugs.gentoo.org/502492
    Bug: https://bugs.gentoo.org/647798
    Bug: https://bugs.gentoo.org/647296
    Bug: https://bugs.gentoo.org/649690
    Bug: https://bugs.gentoo.org/651576
    Package-Manager: Portage-2.3.31, Repoman-2.3.9

 sys-devel/binutils/Manifest                |   1 +
 sys-devel/binutils/binutils-2.30-r2.ebuild | 417 +++++++++++++++++++++++++++++
 2 files changed, 418 insertions(+)}
Comment 3 GLSAMaker/CVETool Bot gentoo-dev 2018-11-27 02:02:15 UTC
This issue was resolved and addressed in
 GLSA 201811-17 at https://security.gentoo.org/glsa/201811-17
by GLSA coordinator Aaron Bauman (b-man).